## ufolib2 0.3.0+dfsg1

=== requirements.txt ===
fonttools==3.34.0
attrs==18.2.0

## ufolib2 0.1.3

=== debian/changelog ===
ufolib2 (0.1.3-1) unstable; urgency=medium

  * Initial release. Closes: #901765

 -- Yao Wei (魏銘廷) <mwei@lxde.org>  Mon, 10 Sep 2018 23:43:46 +0800

=== debian/control ===
Source: ufolib2
Section: devel
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx,
 python3-fonttools (>= 3.26.0),
 python3-attr,
 python3-lxml (>= 4.2.1)
Standards-Version: 4.2.1
Homepage: https://github.com/fonttools/ufoLib2
Vcs-Git: https://salsa.debian.org/fonts-team/ufolib2.git
Vcs-Browser: https://salsa.debian.org/fonts-team/ufolib2

Package: python3-ufolib2
Architecture: all
Multi-Arch: foreign
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Unified Font Object (UFO) fonts library
 ufoLib2 reads and writes Unified Font Object (UFO) files.
 UFO is a file format that stores fonts source files.

=== debian/watch ===
version=4
https://github.com/fonttools/ufoLib2/releases \
 .*/v([0-9][0-9\.]*)@ARCHIVE_EXT@

## ufolib2 0.3.0+dfsg1

=== debian/changelog ===
ufolib2 (0.3.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.3.0+dfsg1
  * Skip tests and strip files related to non DFSG-free files.
  * debian/tests/control:
    - because of case-sensitivity of the library name, we have to specify the
      name of the library for the test.
  * debian/control:
    - Remove Testsuite field.

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Wed, 09 Jan 2019 21:07:06 +0800

ufolib2 (0.2.1-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Yao Wei (魏銘廷) ]
  * New upstream release 0.2.1
  * debian/control:
    - Update dependencies.
    - Update uploader's email.
    - Add autopkgtest.

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 13 Dec 2018 22:11:12 +0800

=== debian/control ===
Source: ufolib2
Section: devel
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Yao Wei (魏銘廷) <mwei@debian.org>
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx,
 python3-fonttools (>= 3.31.0),
 python3-attr (>= 18.2.0)
Standards-Version: 4.2.1
Homepage: https://github.com/fonttools/ufoLib2
Vcs-Git: https://salsa.debian.org/fonts-team/ufolib2.git
Vcs-Browser: https://salsa.debian.org/fonts-team/ufolib2

Package: python3-ufolib2
Architecture: all
Multi-Arch: foreign
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-fonttools (>= 3.31.0),
 python3-attr (>= 18.2.0),
Description: Unified Font Object (UFO) fonts library
 ufoLib2 reads and writes Unified Font Object (UFO) files.
 UFO is a file format that stores fonts source files.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk
VERSION_UPSTREAM = $(shell echo '$(DEB_VERSION_UPSTREAM)' | sed -e 's/\+[^+]*//')
export SETUPTOOLS_SCM_PRETEND_VERSION = $(VERSION_UPSTREAM)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm src/ufoLib2/_version.py

## ufolib2 0.3.2+dfsg1

=== debian/changelog ===
ufolib2 (0.3.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.3.2+dfsg1
  * Bump Standards-Version to 4.4.0

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 18 Jul 2019 10:58:03 -0300

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-sphinx,
  python3-fonttools (>= 3.31.0),
  python3-attr (>= 18.2.0)
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://github.com/fonttools/ufoLib2
 Vcs-Git: https://salsa.debian.org/fonts-team/ufolib2.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/ufolib2

## ufolib2 0.5.1+dfsg1

=== debian/changelog ===
ufolib2 (0.5.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.5.1+dfsg1
  * debian/control: Update dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 01 Dec 2019 12:42:55 +0800

ufolib2 (0.5.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.5.0+dfsg1
  * d/control: Bump Standards-Version to 4.4.1
  * d/rules: Skip another test with Ubuntu fonts

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Wed, 06 Nov 2019 23:27:14 +0800

ufolib2 (0.4.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.4.1+dfsg1
  * d/salsa-ci.yml: Add packaging CI pipeline

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 03 Nov 2019 12:39:35 +0800

ufolib2 (0.4.0+dfsg1-3) unstable; urgency=medium

  * Source-only re-upload (Closes: #941223)

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Fri, 27 Sep 2019 09:38:09 +0800

ufolib2 (0.4.0+dfsg1-2) unstable; urgency=medium

  * debian/control:
    - Bump debhelper-compat to 12
    - Remove Testsuite because module name is different to the package name
      (Closes: #940795)
  * debian/rules:
    - debian/rules: Add PYBUILD_NAME
    - Use PYBUILD_TEST_ARGS instead of overriding dh_auto_test

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Fri, 20 Sep 2019 13:00:47 +0800

ufolib2 (0.4.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.4.0+dfsg1
  * Update dependencies
  * Use dh_auto_test override instead of patching to skip certain tests

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 08 Sep 2019 12:37:42 +0800

=== debian/control ===
Source: ufolib2
Section: devel
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Yao Wei (魏銘廷) <mwei@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-wheel,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx,
 python3-fonttools (>= 3.34.0),
 python3-attr (>= 18.2.0),
 python3-pytest
Standards-Version: 4.4.1
Homepage: https://github.com/fonttools/ufoLib2
Vcs-Git: https://salsa.debian.org/fonts-team/ufolib2.git
Vcs-Browser: https://salsa.debian.org/fonts-team/ufolib2

Package: python3-ufolib2
Architecture: all
Multi-Arch: foreign
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-fonttools (>= 3.34.0),
 python3-attr (>= 18.2.0),
Description: Unified Font Object (UFO) fonts library
 ufoLib2 reads and writes Unified Font Object (UFO) files.
 UFO is a file format that stores fonts source files.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,12 @@
 VERSION_UPSTREAM = $(shell echo '$(DEB_VERSION_UPSTREAM)' | sed -e 's/\+[^+]*//')
 export SETUPTOOLS_SCM_PRETEND_VERSION = $(VERSION_UPSTREAM)
 
+export PYBUILD_NAME = ufoLib2
+
+# skip tests with Ubuntu font which is not distributable in Debian main
+# repository.
+export PYBUILD_TEST_ARGS = -k "not lazy_data_loading_ and not copyDataFromGlyph"
+
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## ufolib2 0.6.1%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
  python3-setuptools-scm,
  python3-sphinx,
  python3-fonttools (>= 3.34.0),
- python3-attr (>= 18.2.0),
+ python3-attr (>= 19.2.0),
  python3-pytest
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/fonttools/ufoLib2
 Vcs-Git: https://salsa.debian.org/fonts-team/ufolib2.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/ufolib2

## ufolib2 0.6.1+dfsg1

=== requirements.txt ===
fonttools==3.39.0
attrs==19.2.0

=== debian/changelog ===
ufolib2 (0.6.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.6.1+dfsg1
  * d/control: Update dependencies
  * d/control: Bump Standards-Version to 4.5.0
  * debian/rules: Skip more tests with Ubuntu font

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Mon, 02 Mar 2020 00:50:15 +0800

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 # skip tests with Ubuntu font which is not distributable in Debian main
 # repository.
-export PYBUILD_TEST_ARGS = -k "not lazy_data_loading_ and not copyDataFromGlyph"
+export PYBUILD_TEST_ARGS = -k "not lazy_data_loading_ and not copyDataFromGlyph and not test_font_eq_and_ne and not test_appendContour and not test_constructor_from_path and not test_deepcopy_lazy_object and not test_unlazify"
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1" \
https://github.com/fonttools/ufoLib2/releases \
 .*/v([0-9][0-9\.]*)@ARCHIVE_EXT@

## ufolib2 0.8.0+dfsg1

=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile --output-file=requirements.txt setup.py
#
appdirs==1.4.4            # via fs
attrs==19.3.0             # via ufoLib2 (setup.py)
fonttools[ufo]==4.11.0     # via ufoLib2 (setup.py)
fs==2.4.11                # via fonttools
pytz==2020.1              # via fs
six==1.15.0               # via fs

# The following packages are considered to be unsafe in a requirements file:
# setuptools

=== debian/changelog ===
ufolib2 (0.8.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.8.0+dfsg1
  * debian/control: Update dependencies
  * debian/rules: disable tests using Ubuntu fonts

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 22 Aug 2020 22:50:59 +0800

ufolib2 (0.7.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.7.1+dfsg1
  * Update python3-fonttools dependency
  * Update skipped tests using Ubuntu fonts

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Fri, 29 May 2020 22:27:32 +0800

ufolib2 (0.6.3a1+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.6.3a1+dfsg1
  * debian/watch: Allow alphabets in version number
  * Update dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Mon, 06 Apr 2020 00:33:27 +0800

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
  python3-setuptools,
  python3-setuptools-scm,
  python3-sphinx,
- python3-fonttools (>= 3.34.0),
- python3-attr (>= 19.2.0),
+ python3-fonttools (>= 4.11.0),
+ python3-attr (>= 19.3.0),
  python3-pytest
 Standards-Version: 4.5.0
 Homepage: https://github.com/fonttools/ufoLib2
@@ -26,8 +26,8 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
- python3-fonttools (>= 3.34.0),
- python3-attr (>= 18.2.0),
+ python3-fonttools (>= 4.11.0),
+ python3-attr (>= 19.3.0),
 Description: Unified Font Object (UFO) fonts library
  ufoLib2 reads and writes Unified Font Object (UFO) files.
  UFO is a file format that stores fonts source files.

## ufolib2 0.11.1+dfsg1

=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile --output-file=requirements.txt setup.py
#
appdirs==1.4.4            # via fs
attrs==20.3.0             # via ufoLib2 (setup.py)
fonttools[ufo]==4.18.2     # via ufoLib2 (setup.py)
fs==2.4.11                # via fonttools
pytz==2020.5              # via fs
six==1.15.0               # via fs

# The following packages are considered to be unsafe in a requirements file:
# setuptools

=== debian/changelog ===
ufolib2 (0.11.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.11.1+dfsg1
  * debian/copyright: Add license of Mutator Sans
  * debian/control: Update dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Mon, 18 Jan 2021 21:10:54 +0800

ufolib2 (0.10.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.10.1+dfsg1
  * debian/control: update dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 20 Dec 2020 23:08:51 +0800

ufolib2 (0.10.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.10.0+dfsg1
  * debian/control:
    - Use debhelper 13
    - Bump Standards-Version to 4.5.1.  No change is needed.
    - Update dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 28 Nov 2020 15:09:49 +0800

=== debian/control ===
Source: ufolib2
Section: devel
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Yao Wei (魏銘廷) <mwei@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-wheel,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx,
 python3-fonttools (>= 4.18.2),
 python3-attr (>= 20.3.0),
 python3-pytest
Standards-Version: 4.5.1
Homepage: https://github.com/fonttools/ufoLib2
Vcs-Git: https://salsa.debian.org/fonts-team/ufolib2.git
Vcs-Browser: https://salsa.debian.org/fonts-team/ufolib2

Package: python3-ufolib2
Architecture: all
Multi-Arch: foreign
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-fonttools (>= 4.18.0),
 python3-attr (>= 20.3.0),
Description: Unified Font Object (UFO) fonts library
 ufoLib2 reads and writes Unified Font Object (UFO) files.
 UFO is a file format that stores fonts source files.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 # skip tests with Ubuntu font which is not distributable in Debian main
 # repository.
-export PYBUILD_TEST_ARGS = -k "not lazy_data_loading_ and not copyDataFromGlyph and not test_font_eq_and_ne and not test_appendContour and not test_constructor_from_path and not test_deepcopy_lazy_object and not test_unlazify"
+export PYBUILD_TEST_ARGS = -k "not lazy_data_loading_ and not copyDataFromGlyph and not test_appendContour and not test_constructor_from_path and not test_deepcopy_lazy_object and not test_unlazify and not test_font_ and not test_nondefault_layer_name and not test_bounds"
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## ufolib2 0.13.1+dfsg1

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.10
# To update, run:
#
#    pip-compile --extra=converters --extra=lxml setup.cfg
#
appdirs==1.4.4
    # via fs
attrs==21.4.0
    # via
    #   cattrs
    #   ufoLib2 (setup.cfg)
cattrs==1.10.0
    # via ufoLib2 (setup.cfg)
fonttools[ufo]==4.29.1
    # via ufoLib2 (setup.cfg)
fs==2.4.15
    # via fonttools
lxml==4.7.1
    # via ufoLib2 (setup.cfg)
pytz==2021.3
    # via fs
six==1.16.0
    # via fs

# The following packages are considered to be unsafe in a requirements file:
# setuptools

=== debian/changelog ===
ufolib2 (0.13.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.13.1+dfsg1
  * debian/control: Replace dh-python-pep517 with pybuild-plugin-pyproject
    (Closes: #1005211)
  * debian/control: Update dependencies from requirement.txt
  * debian/rules: Add another test using Ubuntu font to skip

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Wed, 09 Feb 2022 21:47:20 +0800

ufolib2 (0.12.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.12.1+dfsg1
  * debian/control:
    - Update dependencies
    - Change dependency from dh-python to dh-python-pep517
  * debian/rules:
    - Remove dh_clean override
    - Update skipped tests

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 19 Dec 2021 13:27:41 +0800

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,17 @@
 Uploaders: Yao Wei (魏銘廷) <mwei@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-wheel,
  python3-setuptools,
  python3-setuptools-scm,
  python3-sphinx,
- python3-fonttools (>= 4.18.2),
- python3-attr (>= 20.3.0),
- python3-pytest
+ python3-fonttools (>= 4.29.1),
+ python3-attr (>= 21.2.0),
+ python3-pytest,
+ python3-cattr (>= 1.10.0),
+ python3-lxml (>= 4.7.1)
 Standards-Version: 4.5.1
 Homepage: https://github.com/fonttools/ufoLib2
 Vcs-Git: https://salsa.debian.org/fonts-team/ufolib2.git
@@ -26,8 +28,8 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
- python3-fonttools (>= 4.18.0),
- python3-attr (>= 20.3.0),
+ python3-fonttools (>= 4.29.1),
+ python3-attr (>= 21.2.0),
 Description: Unified Font Object (UFO) fonts library
  ufoLib2 reads and writes Unified Font Object (UFO) files.
  UFO is a file format that stores fonts source files.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk
VERSION_UPSTREAM = $(shell echo '$(DEB_VERSION_UPSTREAM)' | sed -e 's/\+[^+]*//')
export SETUPTOOLS_SCM_PRETEND_VERSION = $(VERSION_UPSTREAM)

export PYBUILD_NAME = ufoLib2

# skip tests with Ubuntu font which is not distributable in Debian main
# repository.
export PYBUILD_TEST_ARGS = -k "not test_lazy_data_loading_ \
	and not test_font_eq_and_ne \
	and not test_copyDataFromGlyph \
	and not test_appendContour \
	and not test_font_mapping_behavior \
	and not test_font_defcon_behavior \
	and not test_nondefault_layer_name \
	and not test_layer_order \
	and not test_bounds \
	and not test_deepcopy_lazy_object \
	and not test_unlazify \
	and not test_auto_unlazify_ \
	and not test_font_equality \
	and not test_unstructure_lazy_font"

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import ufoLib2; print(ufoLib2)" ; done
Depends: python3-all, python3-ufolib2
Restrictions: allow-stderr, superficial
Features: test-name=autodep8-python3

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1" \
https://github.com/fonttools/ufoLib2/releases \
 .*/v([0-9][0-9a-z\.]*)@ARCHIVE_EXT@

## ufolib2 0.14.0+dfsg1

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.11
# To update, run:
#
#    pip-compile --extra=converters --extra=json --extra=lxml --extra=msgpack setup.cfg
#
appdirs==1.4.4
    # via fs
attrs==22.1.0
    # via
    #   cattrs
    #   ufoLib2 (setup.cfg)
cattrs==22.2.0
    # via ufoLib2 (setup.cfg)
fonttools[ufo]==4.29.1
    # via ufoLib2 (setup.cfg)
fs==2.4.15
    # via fonttools
lxml==4.9.1
    # via ufoLib2 (setup.cfg)
msgpack==1.0.4
    # via ufoLib2 (setup.cfg)
orjson==3.7.8 ; platform_python_implementation != "PyPy"
    # via ufoLib2 (setup.cfg)
pytz==2021.3
    # via fs
six==1.16.0
    # via fs

# The following packages are considered to be unsafe in a requirements file:
# setuptools

=== debian/changelog ===
ufolib2 (0.14.0+dfsg1-1) unstable; urgency=high

  * Team upload.
  * New upstream release 0.14.0+dfsg1. (Closes: #1027590)
  * debian/control: Update dependencies from requirement.txt.
  * debian/rules: Skip new tests that need orjson and Ubuntu font.
    Orjson library is not yet packaged in Debian. The builtin json
    library will be used instead.

 -- Boyuan Yang <byang@debian.org>  Tue, 03 Jan 2023 15:43:26 -0500

## ufolib2 0.16.0%2Bdfsg1

=== debian/changelog ===
ufolib2 (0.16.0+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 0.16.0+dfsg1.

 -- Boyuan Yang <byang@debian.org>  Sun, 08 Oct 2023 15:50:56 -0400

## ufolib2 0.16.0+dfsg1

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,18 @@
  debhelper-compat (= 13),
  pybuild-plugin-pyproject,
  python3-all,
+ python3-msgpack (>= 1.0.3),
  python3-wheel,
  python3-setuptools,
  python3-setuptools-scm,
  python3-sphinx,
  python3-fonttools (>= 4.29.1),
- python3-attr (>= 21.2.0),
+ python3-attr (>= 22.1.0),
+#python3-orjson (>= 3.7.8),
  python3-pytest,
- python3-cattr (>= 1.10.0),
- python3-lxml (>= 4.7.1)
-Standards-Version: 4.5.1
+ python3-cattr (>= 22.2.0),
+ python3-lxml (>= 4.9.1)
+Standards-Version: 4.6.2
 Homepage: https://github.com/fonttools/ufoLib2
 Vcs-Git: https://salsa.debian.org/fonts-team/ufolib2.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/ufolib2
@@ -29,7 +31,7 @@
  ${misc:Depends},
  ${python3:Depends},
  python3-fonttools (>= 4.29.1),
- python3-attr (>= 21.2.0),
+ python3-attr (>= 22.1.0),
 Description: Unified Font Object (UFO) fonts library
  ufoLib2 reads and writes Unified Font Object (UFO) files.
  UFO is a file format that stores fonts source files.

## ufolib2 0.16.1+dfsg1

=== debian/changelog ===
ufolib2 (0.16.1+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Explicitly clean the generated files. (Closes: #1046213)
  * debian/control: Bump Standards-Version to 4.7.0.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Nov 2024 23:33:32 -0500

## ufolib2 0.17.0+dfsg1

=== requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv pip compile --all-extras --python 3.8 pyproject.toml
appdirs==1.4.4
    # via fs
attrs==24.2.0
    # via
    #   ufolib2 (pyproject.toml)
    #   cattrs
cattrs==24.1.2
    # via ufolib2 (pyproject.toml)
exceptiongroup==1.2.2
    # via cattrs
fonttools==4.54.1
    # via ufolib2 (pyproject.toml)
fs==2.4.16
    # via fonttools
lxml==5.3.0
    # via ufolib2 (pyproject.toml)
msgpack==1.1.0
    # via ufolib2 (pyproject.toml)
orjson==3.10.10
    # via ufolib2 (pyproject.toml)
setuptools==75.3.0
    # via fs
six==1.16.0
    # via fs
typing-extensions==4.12.2
    # via cattrs

=== debian/changelog ===
ufolib2 (0.17.0+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 30 Nov 2024 11:25:19 -0500

## ufolib2 0.17.1+dfsg1

=== docs/requirements.txt ===
-r ../requirements.txt
typing_extensions; python_version < '3.8'
sphinx>3
sphinx_rtd_theme

=== debian/changelog ===
ufolib2 (0.17.1+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 06 Apr 2025 10:04:25 -0400

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-pytest,
  python3-cattr (>= 22.2.0),
  python3-lxml (>= 4.9.1)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/fonttools/ufoLib2
 Vcs-Git: https://salsa.debian.org/fonts-team/ufolib2.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/ufolib2

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,13 @@
 	and not test_unlazify \
 	and not test_auto_unlazify_ \
 	and not test_font_equality \
-	and not test_unstructure_lazy_font"
+	and not test_unstructure_lazy_font \
+	and not test_dumps_loads \
+	and not test_dump_load \
+	and not test_not_allow_bytes \
+	and not test_allow_bytes \
+	and not test_pickle_lazy_font \
+	and not test_indent_not_2_orjson"
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1" \
https://github.com/fonttools/ufoLib2/tags \
 .*/v([0-9][0-9a-z\.]*)@ARCHIVE_EXT@

## ufolib2 0.18.1%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: ufolib2
 Section: devel
-Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Yao Wei (魏銘廷) <mwei@debian.org>
 Build-Depends:
@@ -18,7 +17,7 @@
  python3-pytest,
  python3-cattr (>= 22.2.0),
  python3-lxml (>= 4.9.1)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/fonttools/ufoLib2
 Vcs-Git: https://salsa.debian.org/fonts-team/ufolib2.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/ufolib2

## ufolib2 0.18.1+dfsg1

=== debian/changelog ===
ufolib2 (0.18.1+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.18.1+dfsg1
  * Remove Priority: optional from d/control
  * Update Standards-Version to 4.7.3

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 04 Jan 2026 17:23:52 +0100
